Package Gnumed :: Package pycommon :: Module gmConfigCommon :: Class ConfigSourceDB |
[frames] | no frames]

# Class ConfigSourceDB

source code

    ConfigSource --+
                   |
                  ConfigSourceDB

Interface to access config data and definitions in a single configuration user/workplace specific backend data collection.

Instance Methods
__init__(self, aSourceName=None, aUser=None, aWorkplace='xxxDEFAULTxxx') | source code
Inherited from `ConfigSource`: `addConfigParam`, `castType`, `getAllParamNames`, `getConfigData`, `getDescription`, `getParamType`, `getRawName`, `hasDefinition`, `hasParameterDefinition`, `isValid`, `setConfigData`

Method Details

### __init__(self, aSourceName=None, aUser=None, aWorkplace='xxxDEFAULTxxx') (Constructor) | source code
Overrides: ConfigSource.__init__